<template>
  <div id="spell">
    <h4>{{spell.name}}</h4>

    <p v-if="spell.cantrip">CANTRIP</p>
    <p>{{spell.description}}</p>
    <h5>Attribute</h5>
    <ul>
      <li v-for="stat in spell.stats" :key="stat.name">
        {{stat.name}}: {{stat.value}}
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  props: {
    spell: Object
  },
  created() {
    console.log(this.spell)
  }
};
</script>

<style lang="sass" scoped>
  #spell
    background-color: $primary;
    vertical-align: middle;
    padding: .3em 2em;
</style>
